unit Intermediate;

{$WARN SYMBOL_PLATFORM OFF}

interface

uses
  ComObj, ActiveX, SprGrOperWrap_TLB, StdVcl;

type
  TSprGrOper = class(TAutoObject, ISprGrOper)
  protected
    procedure Init(ParentHandle: Integer); safecall;
    procedure ShowSprGrOper; safecall;

  end;

implementation

uses ComServ, SprGrOper;

procedure TSprGrOper.Init(ParentHandle: Integer);
begin
  SprGrOper.SyncApp(ParentHandle);
end;

procedure TSprGrOper.ShowSprGrOper;
begin
  SprGrOper.ShowSprGrupOper(nil);
end;

initialization
  TAutoObjectFactory.Create(ComServer, TSprGrOper, Class_SprGrOper,
    ciMultiInstance, tmApartment);
end.
